﻿@using TicketShop.Data.ViewModels
@model ShoppingCartViewModel

@{
    ViewData["Title"] = "Shopping cart summary";
}

<head>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
</head>

<div class="row">
    <div class="col-md-8 offset-2">
        <div class="text-center">
            <h2>You shopping cart summary</h2>
        </div>

        <table class="table">
            <thead>
                <tr>
                    <th>Selected amount</th>
                    <th>Movie</th>
                    <th>Price</th>
                    <th>Subtotal</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.ShoppingCart.ShoppingCartItems)
                {
                    <tr>
                        <td class="align-middle">@item.Amount</td>
                        <td class="align-middle">@item.Movie.Name</td>
                        <td class="align-middle">@item.Movie.Price.ToString("c")</td>
                        <td class="align-middle">@((item.Amount * item.Movie.Price).ToString("c"))</td>
                        <td class="align-middle">
                            <a class="text-danger" asp-controller="Orders" asp-action="RemoveItemFromShoppingCart" asp-route-id="@item.Movie.Id"><i class="bi bi-cart-dash"></i></a>
                            |
                            <a class="text-success" asp-controller="Orders" asp-action="AddItemToShoppingCart" asp-route-id="@item.Movie.Id"><i class="bi bi-cart-plus"></i></a>

                        </td>
                    </tr>
                }
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="2"></td>
                    <td><b>Total:</b></td>
                    <td>
                        @Model.ShoppingCartTotal.ToString("c")
                    </td>
                    <td></td>
                </tr>
            </tfoot>
        </table>

        <div class="text-right">
            <div class="btn-group">
                @*<a class="btn btn-outline-primary" asp-action="CompleteOrder">
                Complete order
                </a>*@
                <div id="paypal-btn"></div>
                <span style="padding:5px"></span>
                <a class="btn btn-outline-success" asp-controller="Movies" asp-action="Index">
                    Add more items
                </a>
            </div>
        </div>

    </div>
</div>

@section Scripts {

    <script src="https://www.paypalobjects.com/api/checkout.js"></script>

    <script>

        let _total = @Html.Raw(Model.ShoppingCartTotal.ToString("F2").Replace(",", "."));

        paypal.Button.render({
            //Configure environment
            env: 'sandbox',
            client: {
                sandbox: 'Ae11eJICyjp1oPbMBBzzuOGFd0vyTEu-Y3Jbm3Fw0h1bI1NIzMaGNURGDxHDg5LHT_NI3J1AO3qqgVlI'
            },

            //Customize button
            locale: 'en_US',
            style: {
                size: 'medium',
                color: 'gold',
                shape: 'rect',
                tagline: false
            },
            commit: true,

            //Set up a payment
            payment: function (data, actions) {
                return actions.payment.create({
                    transactions: [{
                        amount: {
                            total: _total,
                            currency: 'USD'
                        }
                    }]
                });
            },

            //Execute the payment
            onAuthorize: function (data, actions) {
                return actions.payment.execute().then(function () {
                    var url = '@Url.Action("CompleteOrder", "Orders", new { })';
                    window.location.href = url;
                });
            }

        }, '#paypal-btn')
    </script>
}
